## ros-foxy-joint-state-broadcaster 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(joint_state_broadcaster)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(controller_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rcutils REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(joint_state_broadcaster
  SHARED
  src/joint_state_broadcaster.cpp
)
target_include_directories(joint_state_broadcaster PRIVATE include)
ament_target_dependencies(joint_state_broadcaster
  builtin_interfaces
  control_msgs
  controller_interface
  pluginlib
  rclcpp_lifecycle
  rcutils
  realtime_tools
  sensor_msgs
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(joint_state_broadcaster PRIVATE "JOINT_STATE_BROADCASTER_BUILDING_DLL")
# prevent pluginlib from using boost
target_compile_definitions(joint_state_broadcaster PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
pluginlib_export_plugin_description_file(controller_interface joint_state_plugin.xml)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS
  joint_state_broadcaster
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(hardware_interface REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(
    test_load_joint_state_broadcaster
    test/test_load_joint_state_broadcaster.cpp
  )
  target_include_directories(test_load_joint_state_broadcaster PRIVATE include)
  ament_target_dependencies(test_load_joint_state_broadcaster
    controller_manager
    hardware_interface
    ros2_control_test_assets
  )
  target_compile_definitions(test_load_joint_state_broadcaster PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

  ament_add_gmock(
    test_joint_state_broadcaster
    test/test_joint_state_broadcaster.cpp
  )
  target_include_directories(test_joint_state_broadcaster PRIVATE include)
  target_link_libraries(test_joint_state_broadcaster
    joint_state_broadcaster
  )
endif()

ament_export_dependencies(
  control_msgs
  controller_interface
  rclcpp_lifecycle
  sensor_msgs
  realtime_tools
)
ament_export_include_directories(
  include
)
ament_export_libraries(
  joint_state_broadcaster
)
ament_package()

=== debian/changelog ===
ros-foxy-joint-state-broadcaster (0.9.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-foxy-joint-state-broadcaster (0.8.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Sep 2022 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.8.1-1focal) focal; urgency=high

  * Add realtime_tools as export dependency (#377 <https://github.com/ros-controls/ros2_controllers/issues/377>)
  * Contributors: GeorgeVe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.8.0-1focal) focal; urgency=high

  * joint_state_broadcaster to use realtime tools (#308 <https://github.com/ros-controls/ros2_controllers/issues/308>)
    * joint_state_broadcaster to use realtime tools (#276 <https://github.com/ros-controls/ros2_controllers/issues/276>)
    * Use RealtimePublisher for joint_states
    * Use RealtimePublisher for dynamic joint states
  * Contributors: John Morris

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 May 2022 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.7.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jan 2022 00:00:00 -0000

ros-foxy-joint-state-broadcaster (0.6.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-foxy-joint-state-broadcaster (0.5.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.5.0-1focal) focal; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * [Joint State Broadcaster] Add option to publish joint states to local topics (#218 <https://github.com/ros-controls/ros2_controllers/issues/218>)
  * Add initial pre-commit setup. (#220 <https://github.com/ros-controls/ros2_controllers/issues/220>)
  * Reduce docs warnings and correct adding guidelines (#219 <https://github.com/ros-controls/ros2_controllers/issues/219>)
  * Contributors: Bence Magyar, Denis Štogl, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.4.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.4.0-1focal) focal; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.3.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.3.0-1focal) focal; urgency=high

  * Remove unused variable (#181 <https://github.com/ros-controls/ros2_controllers/issues/181>)
  * Add extra joints parameter at joint state broadcaster (#179 <https://github.com/ros-controls/ros2_controllers/issues/179>)
  * Contributors: Cesc Folch Aldehuelo, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 May 2021 23:00:00 -0000

ros-foxy-joint-state-broadcaster (0.2.1-1focal) focal; urgency=high

  * Migrate from deprecated controller_interface::return_type::SUCCESS -> OK (#167 <https://github.com/ros-controls/ros2_controllers/issues/167>)
  * Rename joint_state_controller -> joint_state_broadcaster (#160 <https://github.com/ros-controls/ros2_controllers/issues/160>)
    * Rename joint_state_controller -> _broadcaster
    * Update accompanying files (Ament, CMake, etc)
    * Update C++ from _controller to _broadcaster
    * Apply cpplint
    * Create stub controller to redirect to _broadcaster
    * Add test for loading old joint_state_controller
    * Add missing dependency on hardware_interface
    * Add link to documentation
    * Add joint_state_broadcaster to metapackage
    * Apply suggestions from code review
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    * Update joint_state_broadcaster/joint_state_plugin.xml
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
  * Contributors: Bence Magyar, Matt Reynolds
  * Migrate from deprecated controller_interface::return_type::SUCCESS -> OK (#167 <https://github.com/ros-controls/ros2_controllers/issues/167>)
  * Rename joint_state_controller -> joint_state_broadcaster (#160 <https://github.com/ros-controls/ros2_controllers/issues/160>)
    * Rename joint_state_controller -> _broadcaster
    * Update accompanying files (Ament, CMake, etc)
    * Update C++ from _controller to _broadcaster
    * Apply cpplint
    * Create stub controller to redirect to _broadcaster
    * Add test for loading old joint_state_controller
    * Add missing dependency on hardware_interface
    * Add link to documentation
    * Add joint_state_broadcaster to metapackage
    * Apply suggestions from code review
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    * Update joint_state_broadcaster/joint_state_plugin.xml
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000



=== debian/control ===
Source: ros-foxy-joint-state-broadcaster
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-control-msgs, ros-foxy-controller-interface, ros-foxy-controller-manager <!nocheck>, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp <!nocheck>, ros-foxy-rclcpp-lifecycle, ros-foxy-rcutils, ros-foxy-realtime-tools, ros-foxy-ros2-control-test-assets <!nocheck>, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-joint-state-broadcaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-control-msgs, ros-foxy-controller-interface, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp-lifecycle, ros-foxy-rcutils, ros-foxy-realtime-tools, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: Broadcaster to publish joint state

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-joint-state-broadcaster//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
